---
title: "Survey map tiles - Township America"
description: "Render US PLSS grids and Texas land survey boundaries on your map."
url: https://townshipamerica.com/api/docs/maps
---

# Survey map tiles

Render US PLSS grids and Texas land survey boundaries on your map.

Maps API

## Map Tiles API

PLSS grid and Texas land survey (abstract / block / survey) overlay tiles for your mapping applications. List available layers with `GET /layers.json`.

#### Tile URL Pattern

` https://maps.townshipamerica.com/{layer}/{z}/{x}/{y}.mvt?api_key=... `

Layer catalog (TileJSON URLs + source-layer names):

```
curl "https://maps.townshipamerica.com/layers.json?api_key=YOUR_API_KEY"
```

#### MapLibre GL JS, Texas land surveys

```
map.addSource('texas-land-surveys', {
  type: 'vector',
  tiles: [
    'https://maps.townshipamerica.com/texas-land-surveys/{z}/{x}/{y}.mvt' +
    '?api_key=YOUR_API_KEY'
  ],
  minzoom: 4,
  maxzoom: 14
});

map.addLayer({
  id: 'texas-land-surveys-fill',
  type: 'fill',
  source: 'texas-land-surveys',
  'source-layer': 'texas-land-surveys',
  paint: {
    'fill-color': '#4a7c59',
    'fill-opacity': 0.15
  }
});
```

##### Available Layers

| State           | Grid Layers                      | Label Layers                                            | source-layer                     |
| --------------- | -------------------------------- | ------------------------------------------------------- | -------------------------------- |
| All PLSS States | twpfirst-divisionsecond-division | twp\_labelfirst\_division\_labelsecond\_division\_label | twpfirst-divisionsecond-division |
| Texas (TXSS)    | texas-land-surveys               | texas-land-surveys-labels                               | texas-land-surveys               |

Legacy slug `tx_otls` still resolves to `texas-land-surveys`.
